> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/pl/nauka/slownik/zarzadzanie.md).

# Zarządzanie

Zarządzanie Chiliz Chain: model Compound Alpha governance, wymóg kworum ⅔, siła głosu walidatorów, niestandardowe okresy głosowania i cykl życia propozycji.

### Przegląd

Kontrakt systemu zarządzania oparty jest na domyślnej implementacji zarządzania Compound Alpha, gdzie siła głosu zależy od całkowitej delegowanej kwoty walidatora. Właściciel walidatora jest odpowiedzialny za głosowanie za lub przeciw propozycjom w zarządzaniu. Aktualnie wymagane kworum do osiągnięcia wynosi ⅔.

#### W jakich okolicznościach propozycja jest stosowana?

Chiliz implementuje domyślne **zarządzanie Compound Alpha**, gdzie siła głosu jest dystrybuowana wśród właścicieli walidatorów na podstawie ich całkowitej delegowanej kwoty. Po osiągnięciu kworum ⅔ propozycja może zostać zastosowana.

To zarządzanie jest w pełni kompatybilne z wersją Compound. Ma jednak jedno ulepszenie: pozwala na tworzenie propozycji z niestandardowym okresem głosowania.

Dla niektórych metod ważne jest posiadanie krótszego okresu głosowania. Na przykład gdy konieczne jest zastosowanie pilnych działań.\
Aby to osiągnąć, możemy rozszerzyć oryginalną implementację, dodając metodę `proposeWithCustomVotingPeriod`. Pozwala to na określenie okresu głosowania dla propozycji.

#### W jakich okolicznościach propozycja jest odrzucona?

Po osiągnięciu kworum i gdy ponad 50% siły głosu jest oddane na propozycję, może ona zostać wykonana natychmiast po zakończeniu okresu głosowania. Jeśli propozycja nie może osiągnąć wymaganego kworum w okresie głosowania, zostaje odrzucona.

### Parametry konsensusu

{% code overflow="wrap" lineNumbers="true" %}

````
```solidity
struct ConsensusParams {
    uint32 activeValidatorsLength;
    uint32 epochBlockInterval;
    uint32 misdemeanorThreshold;
    uint32 felonyThreshold;
    uint32 validatorJailEpochLength;
    uint32 undelegatePeriod;
}
```
````

{% endcode %}

### Kompatybilność z BSC

Chiliz Chain jest kompatybilny z BSC i konsensusem Parlia. W wykonawcy EVM jedynymi nowymi dodatkami są haczyki do sprawdzania polityk ACL, które mają około 40 linii kodu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/pl/nauka/slownik/zarzadzanie.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
